package com.nbclass.szxgl.model;

import java.util.Date;
import javax.persistence.*;

@Table(name = "project_task_user")
public class ProjectTaskUser {
    @Id
    private String id;

    /**
     * 关联项目id
     */
    @Column(name = "_project_id")
    private String projectId;

    /**
     * 关联的任务表id
     */
    @Column(name = "_project_task_id")
    private String projectTaskId;

    /**
     * 任务负责人id
     */
    @Column(name = "_user_id")
    private String userId;

    /**
     * 创建时间
     */
    @Column(name = "_create_time")
    private Date createTime;

    /**
     * 修改时间
     */
    @Column(name = "_update_time")
    private Date updateTime;

    /**
     * @return id
     */
    public String getId() {
        return id;
    }

    /**
     * @param id
     */
    public void setId(String id) {
        this.id = id;
    }

    /**
     * 获取关联项目id
     *
     * @return _project_id - 关联项目id
     */
    public String getProjectId() {
        return projectId;
    }

    /**
     * 设置关联项目id
     *
     * @param projectId 关联项目id
     */
    public void setProjectId(String projectId) {
        this.projectId = projectId;
    }

    /**
     * 获取关联的任务表id
     *
     * @return _project_task_id - 关联的任务表id
     */
    public String getProjectTaskId() {
        return projectTaskId;
    }

    /**
     * 设置关联的任务表id
     *
     * @param projectTaskId 关联的任务表id
     */
    public void setProjectTaskId(String projectTaskId) {
        this.projectTaskId = projectTaskId;
    }

    /**
     * 获取任务负责人id
     *
     * @return _user_id - 任务负责人id
     */
    public String getUserId() {
        return userId;
    }

    /**
     * 设置任务负责人id
     *
     * @param userId 任务负责人id
     */
    public void setUserId(String userId) {
        this.userId = userId;
    }

    /**
     * 获取创建时间
     *
     * @return _create_time - 创建时间
     */
    public Date getCreateTime() {
        return createTime;
    }

    /**
     * 设置创建时间
     *
     * @param createTime 创建时间
     */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    /**
     * 获取修改时间
     *
     * @return _update_time - 修改时间
     */
    public Date getUpdateTime() {
        return updateTime;
    }

    /**
     * 设置修改时间
     *
     * @param updateTime 修改时间
     */
    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }
}